Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001816TestLinkInstallerpublic2008-10-24 21:352008-12-08 20:03
Reporterrnissen 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8 Beta 3 
Fixed in Version1.8 RC 1 
Summary0001816: Migration from 1.7 -> 1.8 Beta3 does not create two tables
DescriptionI migrated a backup copy of our database from 1.7 to 1.8Beta3 for testing purposes, and found that the migration scripts did not create the cfield_testplan_design_values and risk_assignments tables This was discovered after an error page when one of the people testing the new version tried to add a test case to a new test plan.
Additional Informationcreated a quick and dirty patch to migrate_17_to_18.php and migrate_17_to_18_functions.php (which resides in the /install/migration/migrate_17 folder) and included them into this bug report. Hope this helps
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Filesgz file icon migrate_17_to_18patch.tar.gz [^] (906 bytes) 2008-10-24 21:35

- Relationships

-  Notes
(0004452)
fman (administrator)
2008-10-25 14:50

Thanks for your work.
We have found and fix this problem last week on CVS code

- Issue History
Date Modified Username Field Change
2008-10-24 21:35 rnissen New Issue
2008-10-24 21:35 rnissen File Added: migrate_17_to_18patch.tar.gz
2008-10-25 14:50 fman Note Added: 0004452
2008-10-25 14:50 fman Status new => resolved
2008-10-25 14:50 fman Fixed in Version => next development 1.8 RC 1
2008-10-25 14:50 fman Resolution open => fixed
2008-10-25 14:50 fman Assigned To => fman
2008-12-08 20:03 mhavlat Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker